package com.qmth.teachcloud.exchange.common.bean.dto.flow;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 流程消息dto
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2023/6/14
 */
public class ToDoTaskDto implements Serializable {

    @ApiModelProperty(value = "流程信息")
    StandardFlowData flowData;

    @ApiModelProperty(value = "待办详情消息")
    HandleMessageDto handleMessageDto;

    public ToDoTaskDto() {

    }

    public ToDoTaskDto(StandardFlowData flowData, HandleMessageDto handleMessageDto) {
        this.flowData = flowData;
        this.handleMessageDto = handleMessageDto;
    }

    public StandardFlowData getFlowData() {
        return flowData;
    }

    public void setFlowData(StandardFlowData flowData) {
        this.flowData = flowData;
    }

    public HandleMessageDto getHandleMessageDto() {
        return handleMessageDto;
    }

    public void setHandleMessageDto(HandleMessageDto handleMessageDto) {
        this.handleMessageDto = handleMessageDto;
    }
}
